<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="b76a1966-7f60-49cb-a4d4-865ce052f1e9" name="Default Changelist" comment="">
      <change afterPath="$PROJECT_DIR$/AccountInfo.txt" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/loginLogic/LoginForStep.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/HomeWork/com/valentynalysenok/homework/homework16/ConsoleApp.class" beforeDir="false" afterPath="$PROJECT_DIR$/out/production/HomeWork/com/valentynalysenok/homework/homework16/ConsoleApp.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/HomeWork/com/valentynalysenok/homework/homework16/comments" beforeDir="false" afterPath="$PROJECT_DIR$/out/production/HomeWork/com/valentynalysenok/homework/homework16/comments" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/HomeWork/com/valentynalysenok/homework/homework17/ConsoleApp.class" beforeDir="false" afterPath="$PROJECT_DIR$/out/production/HomeWork/com/valentynalysenok/homework/homework17/ConsoleApp.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/HomeWork/com/valentynalysenok/homework/homework18/ConsoleApp.class" beforeDir="false" afterPath="$PROJECT_DIR$/out/production/HomeWork/com/valentynalysenok/homework/homework18/ConsoleApp.class" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/out/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ErrorTreeViewConfiguration">
    <option name="hideWarnings" value="true" />
    <option name="HIDE_WARNINGS" value="true" />
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="-1360662366">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.closed" value="97" />
          <entry key="project.open.time.0" value="27" />
          <entry key="project.open.time.1" value="8" />
          <entry key="project.open.time.11" value="1" />
          <entry key="project.open.time.2" value="1" />
          <entry key="project.open.time.3" value="3" />
          <entry key="project.open.time.38" value="1" />
          <entry key="project.open.time.4" value="7" />
          <entry key="project.open.time.5" value="22" />
          <entry key="project.open.time.6" value="11" />
          <entry key="project.open.time.7" value="10" />
          <entry key="project.open.time.8" value="5" />
          <entry key="project.open.time.9" value="2" />
          <entry key="project.opened" value="98" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="Comments" value="4" />
          <entry key="Task_1" value="2" />
          <entry key="Task_2" value="2" />
          <entry key="Task_3" value="2" />
          <entry key="WhatToDo" value="1" />
          <entry key="java" value="393" />
          <entry key="md" value="7" />
          <entry key="question" value="1" />
          <entry key="questions" value="19" />
          <entry key="test" value="2" />
          <entry key="text" value="4" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="CLASS" value="3" />
          <entry key="JAVA" value="960" />
          <entry key="Log" value="14" />
          <entry key="Markdown" value="53" />
          <entry key="PLAIN_TEXT" value="102" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="Comments" value="694" />
          <entry key="Task_1" value="16" />
          <entry key="Task_2" value="2" />
          <entry key="WhatToDo" value="499" />
          <entry key="dummy" value="32" />
          <entry key="java" value="22778" />
          <entry key="questions" value="707" />
          <entry key="test" value="378" />
          <entry key="txt" value="107" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="JAVA" value="47236" />
          <entry key="Markdown" value="24" />
          <entry key="PLAIN_TEXT" value="3270" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FileEditorManager">
    <leaf>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/loginLogic/LoginForStep.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="187">
              <caret line="11" column="51" selection-start-line="11" selection-start-column="51" selection-end-line="11" selection-end-column="62" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/AccountInfo.txt">
          <provider selected="true" editor-type-id="text-editor">
            <state>
              <caret selection-end-column="22" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Enum" />
        <option value="Interface" />
        <option value="Arquillian JUnit Test Class" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>trick</find>
      <find>man</find>
      <find>get</find>
      <find>getPe</find>
      <find>setFa</find>
      <find>setFamily</find>
      <find>getPet</find>
      <find>human</find>
      <find>is</find>
      <find>is(</find>
      <find>Date</find>
      <find>getAllFamilies()</find>
      <find>getFamiliesBiggerThan</find>
      <find>dele</find>
      <find>random</find>
      <find>pet</find>
      <find>null</find>
      <find>pre</find>
      <find>deleteFamilyByIndex</find>
      <find>family</find>
      <find>coun</find>
      <find>count</find>
      <find>delete</find>
      <find>loadData</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="UPDATE_TYPE" value="MERGE" />
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/HomeWork/test/com/valentynalysenok/homework/homework13/FamilyServiceTest.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework14/FamilyService.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework14/FamilyController.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework15/FamilyService.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework15/FamilyController.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework16/FamilyHw15.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework13/Animals/Species.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework16/Animals/Species.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework16/Animals/DomesticCat.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework16/Animals/Dog.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework16/Animals/Pet.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework16/FamilyHw16.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework16/Family.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework16/CollectionFamilyDao.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework17/comments" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework17/FamilyOverflowException.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework17/FamilyController.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework17/Human/Human.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework16/Human/Human.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/FamilyDao.java" />
        <option value="$PROJECT_DIR$/FamilyDB.txt" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/Family.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/SynchLogInfo.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/FamilyHw18.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/Test.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/FamilyController.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework16/FamilyController.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework17/ConsoleAppStart.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework16/FamilyService.java" />
        <option value="$PROJECT_DIR$/DAO_info" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18_/Animals/Foul.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18_/FamilyService.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18_/FamilyDao.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/Animals/Pet.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18_/Family.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18_/Animals/Pet.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18_/ConsoleApp.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18_/comments" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18_/FamilyLogger.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18_/CollectionFamilyDao.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/CollectionFamilyDao.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/FamilyService.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework17/FamilyService.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/comments" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/FamilyLogger.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework16/comments" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework16/ConsoleApp.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework17/ConsoleApp.java" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/ConsoleApp.java" />
        <option value="$PROJECT_DIR$/AccountInfo.txt" />
        <option value="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/loginLogic/LoginForStep.java" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand />
      <select />
    </treeState>
  </component>
  <component name="ProjectFrameBounds">
    <option name="x" value="44" />
    <option name="y" value="23" />
    <option name="width" value="1396" />
    <option name="height" value="819" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="java_edu" type="b2602c69:ProjectViewProjectNode" />
              <item name="java_edu" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="PackagesPane">
        <subPane>
          <expand>
            <path>
              <item name="java_edu" type="58d84e3e:PackageViewProjectNode" />
              <item name="HomeWork" type="616d4139:PackageViewModuleNode" />
            </path>
            <path>
              <item name="java_edu" type="58d84e3e:PackageViewProjectNode" />
              <item name="HomeWork" type="616d4139:PackageViewModuleNode" />
              <item name="com.valentynalysenok.homework" type="1f31426a:PackageElementNode" />
            </path>
            <path>
              <item name="java_edu" type="58d84e3e:PackageViewProjectNode" />
              <item name="HomeWork" type="616d4139:PackageViewModuleNode" />
              <item name="com.valentynalysenok.homework" type="1f31426a:PackageElementNode" />
              <item name="firstTask" type="1f31426a:PackageElementNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1548977427506" />
    <property name="com.intellij.testIntegration.createTest.CreateTestDialog.defaultLibrary" value="Arquillian JUnit4" />
    <property name="com.intellij.testIntegration.createTest.CreateTestDialog.defaultLibrarySuperClass.Arquillian JUnit4" value="" />
    <property name="create.test.in.the.same.root" value="true" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="settings.editor.selected.configurable" value="preferences.pluginManager" />
  </component>
  <component name="RecentsManager">
    <key name="CreateTestDialog.RecentsKey">
      <recent name="com.valentynalysenok.homework.homework13" />
      <recent name="com.valentynalysenok.homework.homework9" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.valentynalysenok.homework.homework17" />
      <recent name="com.valentynalysenok.homework.homework16.Animals" />
      <recent name="com.valentynalysenok.homework.homework14" />
      <recent name="com.valentynalysenok.homework.homework13" />
      <recent name="com.valentynalysenok.homework.homework10" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18_" />
      <recent name="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework17" />
      <recent name="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18" />
      <recent name="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework16" />
      <recent name="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework15" />
    </key>
    <key name="CreateTestDialog.Recents.Supers">
      <recent name="" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18" />
      <recent name="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework17" />
      <recent name="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework16" />
      <recent name="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework15" />
      <recent name="$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework14" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Application.LoginForStep">
    <configuration name="ConsoleAppStart (1)" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.valentynalysenok.homework.homework17.ConsoleAppStart" />
      <module name="HomeWork" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.valentynalysenok.homework.homework17.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ConsoleAppStart (2)" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.valentynalysenok.homework.homework18.ConsoleAppStart" />
      <module name="HomeWork" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.valentynalysenok.homework.homework18.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ConsoleAppStart" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.valentynalysenok.homework.homework16.ConsoleAppStart" />
      <module name="HomeWork" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.valentynalysenok.homework.homework16.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ConsoleAppStart" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.valentynalysenok.homework.homework18.ConsoleAppStart" />
      <module name="HomeWork" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.valentynalysenok.homework.homework18.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="FamilyHw18" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.valentynalysenok.homework.homework18.FamilyHw18" />
      <module name="HomeWork" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.valentynalysenok.homework.homework18.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="LoginForStep" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.valentynalysenok.homework.loginLogic.LoginForStep" />
      <module name="HomeWork" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.valentynalysenok.homework.loginLogic.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="Application.ConsoleAppStart" />
      <item itemvalue="Application.FamilyHw18" />
      <item itemvalue="Application.ConsoleAppStart (1)" />
      <item itemvalue="Application.ConsoleAppStart (2)" />
      <item itemvalue="Application.LoginForStep" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Application.LoginForStep" />
        <item itemvalue="Application.ConsoleAppStart (2)" />
        <item itemvalue="Application.ConsoleAppStart (1)" />
        <item itemvalue="Application.ConsoleAppStart" />
        <item itemvalue="Application.FamilyHw18" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="b76a1966-7f60-49cb-a4d4-865ce052f1e9" name="Default Changelist" comment="" />
      <created>1541888860998</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1541888860998</updated>
      <workItem from="1541888862205" duration="20000" />
      <workItem from="1542312185478" duration="2314000" />
      <workItem from="1542319710354" duration="63000" />
      <workItem from="1542319947431" duration="2258000" />
      <workItem from="1542323316704" duration="215000" />
      <workItem from="1542381949110" duration="594000" />
      <workItem from="1542565395198" duration="8573000" />
      <workItem from="1542637200025" duration="190000" />
      <workItem from="1542716998704" duration="318000" />
      <workItem from="1542737037244" duration="11293000" />
      <workItem from="1542820037799" duration="1603000" />
      <workItem from="1542919954150" duration="4071000" />
      <workItem from="1542963218742" duration="178000" />
      <workItem from="1543002991955" duration="8018000" />
      <workItem from="1543012026288" duration="8074000" />
      <workItem from="1543059193576" duration="5622000" />
      <workItem from="1543183958435" duration="655000" />
      <workItem from="1543251238980" duration="1503000" />
      <workItem from="1543353393502" duration="275000" />
      <workItem from="1543353678226" duration="3000" />
      <workItem from="1543437877799" duration="3842000" />
      <workItem from="1543518886837" duration="611000" />
      <workItem from="1543573803246" duration="361000" />
      <workItem from="1543608524911" duration="2892000" />
      <workItem from="1543654283905" duration="4883000" />
      <workItem from="1543670807087" duration="570000" />
      <workItem from="1543694980243" duration="8917000" />
      <workItem from="1543757790616" duration="15236000" />
      <workItem from="1543777824638" duration="18000" />
      <workItem from="1543857192142" duration="2022000" />
      <workItem from="1543874667979" duration="155000" />
      <workItem from="1543954268533" duration="8738000" />
      <workItem from="1544029708924" duration="4024000" />
      <workItem from="1544035154667" duration="781000" />
      <workItem from="1544049227781" duration="156000" />
      <workItem from="1544098452264" duration="3032000" />
      <workItem from="1544129102907" duration="7519000" />
      <workItem from="1544207562257" duration="8000" />
      <workItem from="1544271097589" duration="1739000" />
      <workItem from="1544374022681" duration="5320000" />
      <workItem from="1544474995408" duration="4113000" />
      <workItem from="1544553155016" duration="4763000" />
      <workItem from="1544652745192" duration="1310000" />
      <workItem from="1544655365863" duration="117000" />
      <workItem from="1544729725558" duration="7960000" />
      <workItem from="1544739215263" duration="176000" />
      <workItem from="1544781450837" duration="1440000" />
      <workItem from="1544796708610" duration="2781000" />
      <workItem from="1544809091180" duration="1082000" />
      <workItem from="1544864896882" duration="2270000" />
      <workItem from="1544884433566" duration="129000" />
      <workItem from="1544978680523" duration="2947000" />
      <workItem from="1544987140206" duration="3035000" />
      <workItem from="1544998628606" duration="3000" />
      <workItem from="1545330976813" duration="5791000" />
      <workItem from="1545422392600" duration="4638000" />
      <workItem from="1545479704240" duration="4665000" />
      <workItem from="1545484418174" duration="1243000" />
      <workItem from="1545594559378" duration="3805000" />
      <workItem from="1545654788513" duration="1593000" />
      <workItem from="1545660616021" duration="41000" />
      <workItem from="1545750694088" duration="18536000" />
      <workItem from="1545840825111" duration="1284000" />
      <workItem from="1545991990372" duration="7407000" />
      <workItem from="1546000296005" duration="2940000" />
      <workItem from="1546021637997" duration="120000" />
      <workItem from="1546212872979" duration="3600000" />
      <workItem from="1546217054040" duration="894000" />
      <workItem from="1546538662841" duration="9797000" />
      <workItem from="1546627792364" duration="1352000" />
      <workItem from="1546715538395" duration="395000" />
      <workItem from="1546785888353" duration="27000" />
      <workItem from="1546851431378" duration="120000" />
      <workItem from="1546882773114" duration="123000" />
      <workItem from="1546979493459" duration="7000" />
      <workItem from="1547903981605" duration="3000" />
      <workItem from="1548108969408" duration="5125000" />
      <workItem from="1548195184020" duration="8430000" />
      <workItem from="1548267793188" duration="25082000" />
      <workItem from="1548294349643" duration="1939000" />
      <workItem from="1548323982318" duration="825000" />
      <workItem from="1548337495839" duration="843000" />
      <workItem from="1548338596629" duration="2662000" />
      <workItem from="1548350522181" duration="4781000" />
      <workItem from="1548371794619" duration="20000" />
      <workItem from="1548371839161" duration="2859000" />
      <workItem from="1548404824340" duration="4394000" />
      <workItem from="1548430694592" duration="2304000" />
      <workItem from="1548433318613" duration="7352000" />
      <workItem from="1548451702482" duration="6423000" />
      <workItem from="1548498998642" duration="14795000" />
      <workItem from="1548534598396" duration="3128000" />
      <workItem from="1548603299754" duration="75000" />
      <workItem from="1548702102876" duration="678000" />
      <workItem from="1548789657488" duration="1096000" />
      <workItem from="1548868622474" duration="1892000" />
      <workItem from="1548957234021" duration="552000" />
      <workItem from="1548974449866" duration="2900000" />
    </task>
    <task id="LOCAL-00001" summary="Updated first homework">
      <created>1542322199256</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1542322199256</updated>
    </task>
    <task id="LOCAL-00002" summary="Created matrix according to task description">
      <created>1542323517679</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1542323517679</updated>
    </task>
    <task id="LOCAL-00003" summary="updated files HW4_HW5">
      <created>1543353652484</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1543353652484</updated>
    </task>
    <option name="localTasksCounter" value="4" />
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="FamilyServiceTest_adoptChildShouldAddAndSaveChildInFamilyAndReturnFamilyObject - 2018.12.28 at 15h 10m 57s.xml">
      <configuration name="FamilyServiceTest.adoptChildShouldAddAndSaveChildInFamilyAndReturnFamilyObject" configurationId="JUnit" />
    </history-entry>
    <history-entry file="FamilyServiceTest - 2018.12.28 at 15h 11m 02s.xml">
      <configuration name="FamilyServiceTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="FamilyServiceTest - 2018.12.28 at 15h 11m 26s.xml">
      <configuration name="FamilyServiceTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="FamilyServiceTest - 2018.12.28 at 17h 09m 57s.xml">
      <configuration name="FamilyServiceTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="CollectionFamilyDaoTest - 2018.12.28 at 17h 10m 01s.xml">
      <configuration name="CollectionFamilyDaoTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="FamilyServiceTest - 2018.12.28 at 20h 28m 42s.xml">
      <configuration name="FamilyServiceTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="FamilyServiceTest_deleteAllChildrenOlderThenShouldDeleteEldestChildrenFromFamilyAndReturnFamilyObject - 2019.01.04 at 22h 46m 47s.xml">
      <configuration name="FamilyServiceTest.deleteAllChildrenOlderThenShouldDeleteEldestChildrenFromFamilyAndReturnFamilyObject" configurationId="JUnit" />
    </history-entry>
    <history-entry file="FamilyServiceTest_deleteAllChildrenOlderThenShouldDeleteEldestChildrenFromFamilyAndReturnFamilyObject - 2019.01.04 at 22h 48m 43s.xml">
      <configuration name="FamilyServiceTest.deleteAllChildrenOlderThenShouldDeleteEldestChildrenFromFamilyAndReturnFamilyObject" configurationId="JUnit" />
    </history-entry>
    <history-entry file="FamilyServiceTest_deleteAllChildrenOlderThenShouldDeleteEldestChildrenFromFamilyAndReturnFamilyObject - 2019.01.04 at 22h 49m 36s.xml">
      <configuration name="FamilyServiceTest.deleteAllChildrenOlderThenShouldDeleteEldestChildrenFromFamilyAndReturnFamilyObject" configurationId="JUnit" />
    </history-entry>
    <history-entry file="FamilyServiceTest_deleteAllChildrenOlderThenShouldDeleteEldestChildrenFromFamilyAndReturnFamilyObject - 2019.01.04 at 22h 49m 50s.xml">
      <configuration name="FamilyServiceTest.deleteAllChildrenOlderThenShouldDeleteEldestChildrenFromFamilyAndReturnFamilyObject" configurationId="JUnit" />
    </history-entry>
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="325326000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="44" y="23" width="1396" height="819" extended-state="0" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" sideWeight="0.49905482" visible="true" weight="0.23559822" />
      <window_info id="Structure" order="1" sideWeight="0.50094515" side_tool="true" weight="0.23219584" />
      <window_info id="Image Layers" order="2" />
      <window_info id="Designer" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Capture Tool" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.3289855" />
      <window_info anchor="bottom" id="Run" order="2" sideWeight="0.4985229" weight="0.29261363" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.28242075" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.32957748" />
      <window_info anchor="bottom" id="Database Changes" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Terminal" order="8" sideWeight="0.4985229" weight="0.51846594" />
      <window_info anchor="bottom" id="Event Log" order="9" sideWeight="0.5014771" side_tool="true" weight="0.29261363" />
      <window_info anchor="bottom" id="Version Control" order="10" weight="0.32816902" />
      <window_info anchor="bottom" id="Messages" order="11" weight="0.3181818" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Capture Analysis" order="4" />
      <window_info anchor="right" id="Theme Preview" order="5" />
      <window_info anchor="right" id="Palette&#9;" order="6" />
      <window_info anchor="right" id="Database" order="7" />
      <window_info anchor="right" id="Maven Projects" order="8" weight="0.32937685" />
    </layout>
    <layout-to-restore>
      <window_info active="true" content_ui="combo" id="Project" order="0" sideWeight="0.49905482" visible="true" weight="0.24391988" />
      <window_info id="Structure" order="1" sideWeight="0.50094515" side_tool="true" weight="0.23219584" />
      <window_info id="Image Layers" order="2" />
      <window_info id="Designer" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Capture Tool" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.35302594" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.28328612" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Database Changes" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Terminal" order="8" weight="0.3631124" />
      <window_info anchor="bottom" id="Event Log" order="9" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="10" weight="0.3295129" />
      <window_info anchor="bottom" id="Messages" order="11" weight="0.32281205" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Capture Analysis" order="4" />
      <window_info anchor="right" id="Theme Preview" order="5" />
      <window_info anchor="right" id="Palette&#9;" order="6" />
      <window_info anchor="right" id="Database" order="7" />
      <window_info anchor="right" id="Maven Projects" order="8" weight="0.32937685" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="Updated first homework" />
    <MESSAGE value="Created matrix according to task description" />
    <MESSAGE value="updated files HW4_HW5" />
    <MESSAGE value="updated HW13" />
    <option name="LAST_COMMIT_MESSAGE" value="updated HW13" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework16/FamilyController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="51">
          <caret line="15" column="5" lean-forward="true" selection-start-line="15" selection-start-column="5" selection-end-line="15" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="jar:///Library/Java/JavaVirtualMachines/jdk1.8.0_192.jdk/Contents/Home/src.zip!/java/lang/NumberFormatException.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="629">
          <caret line="64" selection-start-line="64" selection-end-line="64" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework16/FamilyDao.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="136">
          <caret line="8" column="12" lean-forward="true" selection-start-line="8" selection-start-column="12" selection-end-line="8" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework16/CollectionFamilyDao.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="86">
          <caret line="16" lean-forward="true" selection-start-line="16" selection-end-line="16" />
        </state>
      </provider>
    </entry>
    <entry file="jar:///Library/Java/JavaVirtualMachines/jdk1.8.0_192.jdk/Contents/Home/src.zip!/java/text/DateFormat.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="136">
          <caret line="365" selection-start-line="365" selection-end-line="365" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework16/Human/Human.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="95">
          <caret line="163" column="56" lean-forward="true" selection-start-line="163" selection-start-column="56" selection-end-line="163" selection-end-column="66" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/test/com/valentynalysenok/homework/homework13/CollectionFamilyDaoTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="17">
          <caret line="95" column="7" selection-start-line="95" selection-start-column="7" selection-end-line="102" selection-end-column="45" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/test/com/valentynalysenok/homework/homework9/FamilyTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="204">
          <caret line="12" column="7" selection-start-line="12" selection-start-column="7" selection-end-line="12" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/DAO_info">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="323">
          <caret line="19" selection-start-line="19" selection-end-line="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/Human/Man.java">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/Animals/Dog.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="4" column="13" selection-start-line="4" selection-start-column="13" selection-end-line="4" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/Animals/DomesticCat.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="4" column="13" selection-start-line="4" selection-start-column="13" selection-end-line="4" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/Animals/Fish.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="2" column="13" selection-start-line="2" selection-start-column="13" selection-end-line="2" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/Animals/Foul.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="2" column="17" selection-start-line="2" selection-start-column="17" selection-end-line="2" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/Animals/RoboCat.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="51">
          <caret line="3" column="13" selection-start-line="3" selection-start-column="13" selection-end-line="3" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/Animals/Species.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="2" column="12" selection-start-line="2" selection-start-column="12" selection-end-line="2" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/Human/Human.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="2" column="7" lean-forward="true" selection-start-line="2" selection-start-column="7" selection-end-line="2" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/FamilyController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="2" column="7" lean-forward="true" selection-start-line="2" selection-start-column="7" selection-end-line="2" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/FamilyDao.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="4" column="17" selection-start-line="4" selection-start-column="17" selection-end-line="4" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/FamilyHw18.java" />
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/Family.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="85">
          <caret line="183" column="54" selection-start-line="183" selection-start-column="54" selection-end-line="183" selection-end-column="54" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework14/FamilyHw14.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="8" column="13" selection-start-line="8" selection-start-column="13" selection-end-line="8" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework15/FamilyHw15.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-3">
          <caret line="7" column="13" selection-start-line="7" selection-start-column="13" selection-end-line="7" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework11/FamilyHw11.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="136">
          <caret line="12" column="7" selection-start-line="12" selection-start-column="7" selection-end-line="17" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/Animals/Pet.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="312">
          <caret line="122" column="30" selection-start-line="122" selection-start-column="30" selection-end-line="122" selection-end-column="30" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application.log.25" />
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/FamilyService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="160">
          <caret line="112" column="35" selection-start-line="112" selection-start-column="35" selection-end-line="112" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework17/FamilyService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="77">
          <caret line="99" column="73" selection-start-line="99" selection-start-column="73" selection-end-line="99" selection-end-column="73" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework17/ConsoleAppStart.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="187">
          <caret line="12" column="1" lean-forward="true" selection-start-line="12" selection-start-column="1" selection-end-line="12" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework16/FamilyService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="201">
          <caret line="101" column="24" lean-forward="true" selection-start-line="101" selection-start-column="24" selection-end-line="101" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/ConsoleAppStart.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="153">
          <caret line="10" lean-forward="true" selection-start-line="10" selection-end-line="10" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework17/FamilyOverflowException.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="2" column="42" selection-start-line="2" selection-start-column="42" selection-end-line="2" selection-end-column="42" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/FamilyOverflowException.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="2" column="42" selection-start-line="2" selection-start-column="42" selection-end-line="2" selection-end-column="42" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/FamilyDB.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1293">
          <caret line="10" column="13" lean-forward="true" selection-start-line="10" selection-start-column="13" selection-end-line="10" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework16/javacore_homework_homework16_readme.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SPLIT">
          <first_editor />
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/comments">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="10" column="36" lean-forward="true" selection-start-line="10" selection-start-column="36" selection-end-line="10" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application.log">
      <provider editor-type-id="text-editor" />
      <provider selected="true" editor-type-id="LogFileEditorProvider">
        <state relative-caret-position="223">
          <caret line="144" column="49" selection-start-line="143" selection-start-column="49" selection-end-line="144" selection-end-column="49" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/FamilyLogger.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="374">
          <caret line="22" column="19" selection-start-line="22" selection-start-column="19" selection-end-line="22" selection-end-column="19" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/CollectionFamilyDao.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="136">
          <caret line="11" selection-start-line="10" selection-start-column="26" selection-end-line="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/javacore_homework_homework18_readme.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SPLIT">
          <first_editor relative-caret-position="306">
            <caret line="18" column="250" selection-start-line="18" selection-start-column="250" selection-end-line="18" selection-end-column="265" />
          </first_editor>
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework16/Family.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="46">
          <caret line="9" column="13" selection-start-line="9" selection-start-column="13" selection-end-line="9" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework16/ConsoleAppStart.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="8" column="8" selection-start-line="8" selection-start-column="8" selection-end-line="9" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework16/ConsoleApp.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="69">
          <caret line="246" column="11" selection-start-line="246" selection-start-column="11" selection-end-line="246" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework16/comments">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="586">
          <caret line="40" column="3" selection-start-line="40" selection-start-column="3" selection-end-line="40" selection-end-column="3" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework17/ConsoleApp.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="186">
          <caret line="276" column="4" selection-start-line="276" selection-start-column="4" selection-end-line="276" selection-end-column="10" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/homework18/ConsoleApp.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="76">
          <caret line="263" column="11" selection-start-line="263" selection-start-column="11" selection-end-line="263" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/AccountInfo.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/HomeWork/src/com/valentynalysenok/homework/loginLogic/LoginForStep.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="187">
          <caret line="11" column="51" selection-start-line="11" selection-start-column="51" selection-end-line="11" selection-end-column="62" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>No facets are configured</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>HomeWork</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>9</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>